Package com.collibra.dgc.core.api.dto.mapping

# Class AddMappingRequest.Builder

Object
Builder

Enclosing class:
  `AddMappingRequest`

public static final class AddMappingRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddMappingRequest`
  `build()`
  `AddMappingRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `AddMappingRequest.Builder`
  `description(String description)`
  The description of the mapped resource.
  `AddMappingRequest.Builder`
  `externalEntityId(String externalEntityId)`
  Required. The external ID of the mapped resource.
  `AddMappingRequest.Builder`
  `externalEntityUrl(String externalEntityUrl)`
  The external URL of the mapped resource.
  `AddMappingRequest.Builder`
  `externalSystemId(String externalSystemId)`
  Required. The ID of the external system that the mapped resource belongs to.
  `AddMappingRequest.Builder`
  `id(UUID id)`
  The ID of the new mapping.
  `AddMappingRequest.Builder`
  `lastSyncDate(Long lastSyncDate)`
  The timestamp (in UTC time standard) of the last synchronization of mapped resource.
  `AddMappingRequest.Builder`
  `mappedResourceId(UUID mappedResourceId)`
  The ID of the mapped resource.
  `AddMappingRequest.Builder`
  `syncAction(SyncAction syncAction)`
  The type of the action performed during last successful synchronization.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public AddMappingRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `AddMappingRequest.builder()`
    Clone method for this Builder.

  - ### id

    public AddMappingRequest.Builder id(UUID id)
    The ID of the new mapping.
    Returns:
      `this`.

  - ### externalSystemId

    public AddMappingRequest.Builder externalSystemId(String externalSystemId)
    Required. The ID of the external system that the mapped resource belongs to.
    Returns:
      `this`.

  - ### externalEntityId

    public AddMappingRequest.Builder externalEntityId(String externalEntityId)
    Required. The external ID of the mapped resource.
    Returns:
      `this`.

  - ### externalEntityUrl

    public AddMappingRequest.Builder externalEntityUrl(String externalEntityUrl)
    The external URL of the mapped resource.
    Returns:
      `this`.

  - ### description

    public AddMappingRequest.Builder description(String description)
    The description of the mapped resource.
    Returns:
      `this`.

  - ### mappedResourceId

    public AddMappingRequest.Builder mappedResourceId(UUID mappedResourceId)
    The ID of the mapped resource.
    Returns:
      `this`.

  - ### lastSyncDate

    public AddMappingRequest.Builder lastSyncDate(Long lastSyncDate)
    The timestamp (in UTC time standard) of the last synchronization of mapped resource.
    Returns:
      `this`.

  - ### syncAction

    public AddMappingRequest.Builder syncAction(SyncAction syncAction)
    The type of the action performed during last successful synchronization.
    Returns:
      `this`.

  - ### build

    public AddMappingRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`